
import { extendRule, initQueryFilter } from "../../utils/common";
import { ConfirmButton } from '@woowalker/feui'
import { message } from "antd/lib/index";
import config from "../../config.js";

//MRP单编辑
export default {
  showFiles(params) {
    const { record } = params ? params : {};
    if (record && record.Nav_Files) {
      var result = []
      record.Nav_Files?.map((item, i) => {
        result.push(<a title={item.Nav_ImgFile.FILE_NAME} target='_blank' href={config.picServerHost + item.Nav_ImgFile.Nav_File.FILE_PATH} >{item.Nav_ImgFile.FILE_NAME} </a>)
      })
      return result
    }
  }
}
